=== added file 'ivle/webapp/admin/templates/users.html'
--- ivle/webapp/admin/templates/users.html	1970-01-01 00:00:00 +0000
+++ ivle/webapp/admin/templates/users.html	2009-12-08 11:02:18 +0000
@@ -0,0 +1,21 @@
+<html xmlns="http://www.w3.org/1999/xhtml"
+      xmlns:py="http://genshi.edgewall.org/">
+  <head>
+    <title>Users</title>
+  </head>
+  <body>
+    <h1>User list</h1>
+    <div id="ivle_padding">
+      <table class="pretty_table">
+        <thead><tr><th>Login</th><th>Name</th><th>Admin</th></tr></thead>
+        <tbody>
+          <tr py:for="user in users">
+            <td><a href="${req.publisher.generate(user)}">${user.login}</a></td>
+            <td>${user.display_name}</td>
+            <td><py:if test="user.admin">yes</py:if></td>
+          </tr>
+        </tbody>
+      </table>
+    </div>
+  </body>
+</html>

=== modified file 'ivle/webapp/admin/user.py'
--- ivle/webapp/admin/user.py	2009-12-08 10:30:16 +0000
+++ ivle/webapp/admin/user.py	2009-12-08 11:02:18 +0000
@@ -21,14 +21,29 @@
 import formencode.validators
 from genshi.filters import HTMLFormFiller
 
+from ivle.webapp import ApplicationRoot
 from ivle.webapp.base.rest import JSONRESTView, require_permission
 from ivle.webapp.base.xhtml import XHTMLView
 from ivle.webapp.base.plugins import ViewPlugin, MediaPlugin
 from ivle.webapp.admin.publishing import root_to_user, user_url
+from ivle.database import User
 import ivle.database
 import ivle.date
 import ivle.util
 
+
+class UsersView(XHTMLView):
+    """A list of all IVLE users."""
+    template = 'templates/users.html'
+
+    def authorize(self, req):
+        return req.user.admin
+
+    def populate(self, req, ctx):
+        ctx['req'] = req
+        ctx['users'] = req.store.find(User).order_by(User.login)
+
+
 # List of fields returned as part of the user JSON dictionary
 # (as returned by the get_user action)
 user_fields_list = (
@@ -208,7 +223,8 @@
 
     forward_routes = (root_to_user,)
     reverse_routes = (user_url,)
-    views = [(ivle.database.User, '+index', UserEditView),
+    views = [(ApplicationRoot, 'users', UsersView),
+             (ivle.database.User, '+index', UserEditView),
              (ivle.database.User, '+admin', UserAdminView),
              (ivle.database.User, '+changepassword', PasswordChangeView),
              (ivle.database.User, '+resetpassword', PasswordResetView),

